<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Entity\ChannelPricing\Customer;

use Dedi\SyliusCustomerPricingPlugin\Enum\ChannelPricingType;
use Sylius\Component\Core\Model\CustomerInterface;

trait CustomerChannelPricingTrait
{
    public function getCustomer(): ?CustomerInterface
    {
        return $this->customer;
    }

    public function setCustomer(?CustomerInterface $customer = null): self
    {
        $this->customer = $customer;

        return $this;
    }

    public static function getType(): string
    {
        return ChannelPricingType::CUSTOMER->value;
    }
}
