<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\Event;

use Dedi\SyliusCustomerPricingPlugin\Entity\Customer\OrganizationInterface;
use Knp\Menu\FactoryInterface;
use Knp\Menu\ItemInterface;
use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

class OrganizationShowMenuBuilderEvent extends MenuBuilderEvent
{
    public function __construct(FactoryInterface $factory, ItemInterface $menu, private OrganizationInterface $organization)
    {
        parent::__construct($factory, $menu);
    }

    public function getOrganization(): OrganizationInterface
    {
        return $this->organization;
    }
}
