<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCustomerPricingPlugin\Application\src\Entity;

use Dedi\SyliusCustomerPricingPlugin\Entity\AddressInterface;
use Dedi\SyliusCustomerPricingPlugin\Entity\Customer\Trait\AddressOrganizationAwareTrait;
use Dedi\SyliusCustomerPricingPlugin\Entity\Customer\Trait\OrganizationAwareTrait;
use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Core\Model\Address as BaseAddress;


/**
 * @ORM\Entity
 *
 * @ORM\Table(name="sylius_address")
 */
class Address extends BaseAddress implements AddressInterface
{
    use AddressOrganizationAwareTrait;
}
